Last Comment Bug 665732 - Kuma: SVG and MathML embedding
: Kuma: SVG and MathML embedding
Status: RESOLVED WONTFIX
[type:feature]
:
Product: Mozilla Developer Network
Classification: Other
Component: Wiki pages (show other bugs)
: unspecified
: All All
: P3 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: mathml-in-mdn
  Show dependency treegraph
 
Reported: 2011-06-20 14:43 PDT by John Karahalis [:openjck]
Modified: 2013-11-11 18:34 PST (History)
10 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description John Karahalis [:openjck] 2011-06-20 14:43:21 PDT

    
Comment 1 Florian Scholz [:fscholz] (MDN) 2012-05-09 11:44:11 PDT
I've created test pages here:
https://developer-stage9.mozilla.org/en-US/docs/de/MathML/Element/math
https://developer-stage9.mozilla.org/de/docs/de/SVG/Element/rect

While MathML/SVG is rendered properly in the preview of the CKEditor, it gets escaped when saving the page.
Comment 2 Luke Crouch [:groovecoder] 2012-05-09 14:18:55 PDT
thanks for testing and feedback! we'll pull this into a future sprint!
Comment 3 Jean-Yves Perrier [:teoli] 2012-07-25 09:58:28 PDT
For remind: this page has some inline svg and is broken for the moment: https://developer-new.mozilla.org/en-US/docs/CSS/filter
Comment 4 Jean-Yves Perrier [:teoli] 2012-08-05 02:03:07 PDT
For MathML, we have two kinds of usage:
1) Inline live examples for the MathML reference. I think here our regular (planned?) Live Example Tools will handle this case. 
2) Mathematical formulas in the doc. We have a few places where we need to display mathematical info in the body of text (like for explaining CSS transforms). The live example tools won't solve this problem satisfactory (the formulas are part of the main text). For this case, I think we should allow, via Bleach, the minimal subset of MathML elements needed. I plan to make a Github PR for them as soon as I have some time (in the next weeks) — I really would like to be able to finish the doc about CSS transforms.

For SVG, we also have two kinds of usage:
1) Inline live examples for the SVG reference.
2) Schematics were SVG is the logical format: it allows anybody to edit the schematics if needed (without the need of a separate "source" files), it allows to creates derivated schematics (which will have a similar look and feel), and it ease translation, as most schematics have embedded text. Also a bug in Firefox makes any non-embedded SVG images look horrible when a zoom is applied on the page (not the case for embedded SVG images).
Comment 5 Jean-Yves Perrier [:teoli] 2012-08-05 03:00:07 PDT
I did the PR request for MathML, case 2: https://github.com/mozilla/kuma/pull/491
Comment 6 [github robot] 2012-08-31 07:20:51 PDT
Commits pushed to master at https://github.com/mozilla/kuma

https://github.com/mozilla/kuma/commit/fdb1d7f7871d5a09e3267d605ac93a7d9dbd8a06
Bug 665732 - Add more MathML tags and attributes to the whitelist

https://github.com/mozilla/kuma/commit/cddfeaa6b5e15c80291cb6e4d7a593e558da6c37
Merge pull request #555 from Elchi3/665732-mathml

Bug 665732 - Add more MathML tags and attributes to the whitelist
Comment 7 Florian Scholz [:fscholz] (MDN) 2012-09-11 13:54:24 PDT
Reopening. My patch provided a list of MathML elements/attributes only. The SVG part for our Bleach whitelist is still missing.
Comment 8 ali spivak 2012-12-04 12:53:39 PST
Need to fix for SVG (Bleach whitelist is still missing).
Comment 9 John Karahalis [:openjck] 2013-06-11 12:51:43 PDT
Do we have this already, through the Live Samples system if nothing else?
Comment 10 Eric Shepherd [:sheppy] 2013-07-08 10:32:45 PDT
I *think* we're good to go here, but I recommend asking some of the MathML guys. Florian, any opinion?
Comment 11 Eric Shepherd [:sheppy] 2013-07-12 08:37:46 PDT
Yep, this is not necessary.

Note You need to log in before you can comment on or make changes to this bug.